problem: 'blasius'

implicit: true
ts:
  adapt_type: 'none'
  type: 'beuler'
  time_step: 2e-6
  max_steps: 5

dm_plex_box_faces: 3,20,1
meshtransform:
  type: platemesh
  platemesh:
    Ndelta: 15
    growth: 1.3

stab: 'supg'

dm_plex_box_lower: 0,0,0
dm_plex_box_upper: 4.2e-3,4.2e-3,5.e-4
dm_plex_dim: 3
# Faces labeled 1=z- 2=z+ 3=y- 4=y+ 5=x+ 6=x-
bc_symmetry_z: 1,2
bc_wall: 3
wall_comps: 1,2,3
bc_inflow: 6
bc_outflow: 5,4
outflow_type: pressure # simpler, but worse than default "riemann"

stg:
  use: true
  inflow_path: "examples/STGInflow_blasius.dat"
  rand_path: "examples/STGRand.dat"
  mean_only: false
